Subject: [netatalk-admins] Strange Netatalk Server Behavior

From: Mitch McNeel <[email-masked]>
Date: Tue, 23 Mar 1999 10:18:34 -0800

Hi all,

        I've just upgrade my Solaris 2.6 (up-to-date patches) Sun UE-450
Netatalk server from version 1.4b2+asun2.0a18.2 to 1.4b2+asun2.1.3., Mac's are
running OS 8.1 with TCP/IP connection to the server and now we are having
strange things happening.

>From the Users:
        Our file server (Catalog NFS) is exhibiting some very strange behavior.
Quark files are becoming corrupt, and when trying to copy files, we often get a
message saying that a file can't be copied because a disk error has occurred.
The file seems to copy all right anyway, but the rest of the copy operation is
aborted.  There have also been instances of people being dropped from the server
at random.  Also, sometimes when navigating through the folders on the server,
all the open windows will spontaneously close.  We are very close to a critical
deadline on a project and cannot afford to be losing pages at this point.
Please Help!!!

Glen Schuler.

  I was wondering if anyone else has experienced these types of problems or have
any suggestions on how to solve this issue (other than reverting back to
1.4b2+asun2.0a18.2).

"when trying to copy files, we often get a message saying that a file can't be
copied because a disk error has occurred"
    Error: The file "FileName" couldn't be read, because a disk error occurred.
Do you want to continue copying? Stop or Continue.  After hitting continue it
keeps the copy dialog box open and then shuts down all open finder window.  But
does not disconnect user form the server.  File is copied anyway and is
readable.?????

Get this in my /var/adm/messages file:

Mar 23 10:00:20 prometheus afpd[27377]: dsi_stream_read(-1): Connection reset by
peer
Mar 23 10:00:20 prometheus afpd[27377]: dsi_stream_write: Broken pipe
Mar 23 10:00:20 prometheus last message repeated 1 time
Mar 23 10:12:54 prometheus afpd[27649]: afp_openfork: ad_open: I/O error

Any suggestion???

Any help appreciated

-Mitch

---

From: Palle Girgensohn <[email-masked]>
Date: Tue, 23 Mar 1999 21:50:17 +0100

The Quark problem is well known. First, get rid of CR/LF conversion.
Check the backlog of this mailing list for info on how. Best is to
recompile; checik the INSTALL file.

/Palle

Mitch McNeel wrote:
> 
> Hi all,
> 
>         I've just upgrade my Solaris 2.6 (up-to-date patches) Sun
> UE-450 Netatalk server from version 1.4b2+asun2.0a18.2 to
> 1.4b2+asun2.1.3., Mac's are running OS 8.1 with TCP/IP connection to
> the server and now we are having strange things happening.
> 
> From the Users:
>         Our file server (Catalog NFS) is exhibiting some very strange
> behavior.  Quark files are becoming corrupt, and when trying to copy
> files, we often get a message saying that a file can't be copied
> because a disk error has occurred.  The file seems to copy all right
> anyway, but the rest of the copy operation is aborted.  There have
> also been instances of people being dropped from the server at
> random.  Also, sometimes when navigating through the folders on the
> server, all the open windows will spontaneously close.  We are very
> close to a critical deadline on a project and cannot afford to be
> losing pages at this point.  Please Help!!!
> 
> Glen Schuler.
> 
>   I was wondering if anyone else has experienced these types of
> problems or have any suggestions on how to solve this issue (other
> than reverting back to 1.4b2+asun2.0a18.2).
> 
> "when trying to copy files, we often get a message saying that a file
> can't be copied because a disk error has occurred"
>     Error: The file "FileName" couldn't be read, because a disk error
> occurred. Do you want to continue copying? Stop or Continue.  After
> hitting continue it keeps the copy dialog box open and then shuts down
> all open finder window.  But does not disconnect user form the
> server.  File is copied anyway and is readable.?????
> 
> Mar 23 10:00:20 prometheus afpd[27377]: dsi_stream_read(-1):
> Connection reset by peer